<template>
    <div class="timer">

        <section class="counterSection">
        <h1 :class="state" class="count">{{ count }}<span>s</span></h1>
        <p :class="state">{{ rounds }} rounds remaining</p>
        <h1 :class="state" class="counterLabel">{{ counterLabel }}</h1>
        </section>
        
    </div>
</template>

<script>
export default {
    name: 'Timer',
    props: {
        count: [Number, String],
        rounds: [Number, String],
        counterLabel: String,
        state: String
    },
}
</script>

<style lang="scss" scoped>
    @import './Timer';
</style>